# UserField class

User-defined TIFF field.

## Constructors

UserField.new({required int tag, required String name, required UserFieldValue value})
UserField.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
name ↔ String
  Field name.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
tag ↔ int
  Numeric tag.
  getter/setter pair
value ↔ UserFieldValue
  Value.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited